extends PathFollow3D

@export var velocita_treno: float = 5.0
@export var in_movimento: bool = true

func _process(delta: float) -> void:
	if in_movimento:
		# 'progress' è una variabile nativa di PathFollow3D
		# Aumentandola, il nodo si sposta lungo la curva in automatico!
		progress += velocita_treno * delta
